Page MenuHomePhabricator

Create a Collaboration-Community-Engagement project
Closed, ResolvedPublic

Description

Example: https://phabricator.wikimedia.org/project/board/1538/

The purpose is to facilitate Quiddity's and Trizek's work (announcements, deployment, tracking what is ongoing).

Event Timeline

Trizek-WMF updated the task description. (Show Details)
Trizek-WMF raised the priority of this task from to Normal.
Trizek-WMF claimed this task.
Trizek-WMF added a subscriber: Quiddity.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2015, 6:51 PM

A board requires a project.

Hmmm.

My user story:
As a manager, I would like to see my team's work in one board, so that I can keep a broad view on the tasks that my team is specifically either assigned to or considering as part of the workload.

I know several tickets have multiple tags, but I wanted to express that <:) I believe we'll be formalizing that in the near future, but examples of best practices also welcome :)

A board requires a project.

So that mean the Reading board is illicit? :)
That may be a problem: as CLs, we need a more flexibility. We don't only have a task-to-task view, but a global one. Sometimes we need to schedule announcements on products which are related but lot directly linked. At the moment, we don't have a tool to do that and a board is, fur us, the best solution.

Hmmm.

My user story:
As a manager, I would like to see my team's work in one board, so that I can keep a broad view on the tasks that my team is specifically either assigned to or considering as part of the workload.

I know several tickets have multiple tags, but I wanted to express that <:) I believe we'll be formalizing that in the near future, but examples of best practices also welcome :)

I haven't think any moment that I will not use the CL board too :)
This Collab CL board will be useful for the Collab team too: whey will have a look on CL actions without all CL actions we can have on our board.

My user story:
As a manager, I would like to see my team's work in one board, so that I can keep a broad view on the tasks that my team is specifically either assigned to or considering as part of the workload.

Yes! But Community-Relations-Support (and any team project with a decent amount of activity) just becomes too big to be the main tracker. Sprints are the default way for teams to track the work that is currently going on, i.e. DevRel-December-2015.

I want to propose monthly sprints for CL (starting as a test in January, ideally) as part of T116025: Goal: Align Community Liaison and Developer Relations project management practices. This would allow i.e. Trizek (or @Moushira, who long ago requested Readers-Community-Engagement) to have all the flexibility they need to manage their projects, while i.e. Rach (or anybody else interested in CL's current work wherever it happens) can track it by watching a single project (the current monthly sprint).

A board requires a project.

So that mean the Reading board is illicit? :)

Not sure what "the Reading board" is - if you refer to the link you put into this task's desc, it is simply the board of the existing project Readers-Community-Engagement.
I was merely pointing out that when you ask for creating some board, in fact you ask for creation of a project (cf. project request guidelines; project management recommendations).

Not sure what "the Reading board" is - if you refer to the link you put into this task's desc, it is simply the board of the existing project Readers-Community-Engagement.

My attempt to make a joke was not a success :)
My request is to create a project Collaboration-Community-Engagement in order to facilitate CL job for Quiddity and I, mainly by having a Kanban board.

I was merely pointing out that when you ask for creating some board, in fact you ask for creation of a project (cf. project request guidelines; project management recommendations).

Yes. I confused the two terms., sorry.

Qgil added a comment.Dec 29 2015, 11:16 AM

I still think that creating this project is a good idea, but can we standardize the name? Collaboration-Community-Engagement

Whatever is wanted and agreed on I'm happy to create. See checklist on https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#New_projects for required data.

Proposal:

@Quiddity, what do you think about all this?

I'm willing to try it, and those details look accurate.

Aklapper added a comment.EditedJan 4 2016, 11:22 PM

Can this be Collaboration-Community-Liaison instead of Collaboration-Community-Liaising to stay consistent with Community-Liaison?

Also, technically, subprojects don't exist (info would only be part of the project desc).

@Aklapper, you mean Collaboration-Community-Liaison instead of Collaboration-Community-Engagement?

Ah well, someone added T121555#1914713 without updating the task summary or task description. I see now...

Aklapper renamed this task from Create a Collaboration-community-liaising board to Create a Collaboration-Community-Engagement project.Jan 5 2016, 2:40 PM
Aklapper added a project: Project-Admins.
Aklapper set Security to None.
Aklapper closed this task as Resolved.

Requested project Collaboration-Community-Engagement has been created: https://phabricator.wikimedia.org/project/profile/1691/

Please encourage interested people to visit the project and to join the project as members, and to subscribe themselves to the project in order to receive updates!

Recommended practices for project and workboard management in Phabricator are available.

Enjoy!